Bug 913606 - agent and server may go out of sync of avail if the server backfilled agents
agent and server may go out of sync of avail if the server backfilled agents
Status: ON_QA
Product: RHQ Project
Classification: Other
Component: Agent, Core Server (Show other bugs)
Unspecified Unspecified
high Severity high (vote)
: GA
: RHQ 4.6
Assigned To: John Mazzitelli
Mike Foley
Depends On:
Blocks: 1094540
  Show dependency treegraph
Reported: 2013-02-21 10:28 EST by John Mazzitelli
Modified: 2014-05-14 20:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2013-02-21 10:28:30 EST
Here's the condition that I think created the problem:

1) Go in a steady state where agent is connected to the server and all avails are GREEN
2) Put server in MAINTENANCE mode
3) Wait for the server to backfill the agent
4) Put the server back in NORMAL mode

Notice the agent's platform never goes GREEN. This is because the agent doesn't know it has been backfilled and needs to tell the server about true state of avail.
Comment 1 John Mazzitelli 2013-02-21 16:24:46 EST
gonna add a slight behavior change to the agent connect() message to the server. the server will reply back with a true or false - true if it has backfilled the agent already. If true, the agent will tell the plugin container that it needs to send a full avail report.

the server will also update the "last ping time" on the agent record to the current time when the connect came in - this will halt any future backfilling, at least for the following 5 minutes by default.
Comment 2 John Mazzitelli 2013-02-21 16:54:43 EST
git commit to master: 277c8b1fc4379e6a652931b7db1bbdd4ce3ce5ac
Comment 3 Jay Shaughnessy 2014-04-04 13:44:40 EDT
I think this went into 4.6. Maybe 4.7.

Note You need to log in before you can comment on or make changes to this bug.